# $Id$
# Authority: dag

Summary: Produces a document with syntax highlighting
Name: source-highlight
Version: 3.1.6
Release: 1%{?dist}
License: GPLv3+
Group: Development/Tools
URL: http://www.gnu.org/software/src-highlite/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: ftp://ftp.gnu.org/gnu/src-highlite/source-highlight-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bison
BuildRequires: boost-devel >= 1.33.1
BuildRequires: chrpath
BuildRequires: ctags
BuildRequires: flex
BuildRequires: help2man
Requires(post): info
Requires(preun): info
Requires: ctags

%description
This program, given a source file, produces a document with syntax
highlighting. At the moment this package can handle :
Java, Javascript, C/C++, Prolog, Perl, Php3, Python, Flex, ChangeLog, Ruby, 
Lua, Caml, Sml and Log as source languages, and HTML, XHTML and ANSI color 
escape sequences as output format.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure \
    --disable-static \
    --with-boost-regex="boost_regex"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

chrpath --delete %{buildroot}%{_bindir}/source-highlight
chrpath --delete %{buildroot}%{_bindir}/source-highlight-settings

### Clean up buildroot
%{__mv} -v %{buildroot}%{_datadir}/doc/ rpm-doc
%{__rm} -f %{buildroot}%{_datadir}/info/dir

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/source-highlight.info %{_infodir}/dir 2>/dev/null || :

%preun
if (( $1 == 0 )); then
  /sbin/install-info --delete %{_infodir}/source-highlight.info %{_infodir}/dir 2>/dev/null || :
fi

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root, 0755)
%doc rpm-doc/source-highlight/*
%doc %{_mandir}/man1/*.1*
%doc %{_infodir}/source-highlight*.info*
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/source-highlight
%{_bindir}/check-regexp
%{_bindir}/cpp2html
%{_bindir}/java2html
%{_bindir}/source-highlight
%{_bindir}/source-highlight-settings
%{_bindir}/src-hilite-lesspipe.sh
%{_datadir}/source-highlight/
%{_libdir}/libsource-highlight.so.*

%files devel
%defattr (-, root, root, 0755)
#%{_datadir}/aclocal/ax_boost_*.m4
%{_includedir}/srchilite/
%{_libdir}/libsource-highlight.so
%{_libdir}/pkgconfig/source-highlight.pc
%exclude %{_libdir}/libsource-highlight.la

%changelog
* Tue Feb 07 2012 Dag Wieers <dag@wieers.com> - 3.1.6-1
- Updated to release 3.1.6.

* Fri Dec 09 2011 Dag Wieers <dag@wieers.com> - 3.1.5-1
- Updated to release 3.1.5.

* Fri Oct 28 2011 Dag Wieers <dag@wieers.com> - 3.1.4-1
- Initial package. (using DAR)
